methods.cpp File Reference
`#include <math.h>`
`#include <iostream>`
`#include "models.h"`
`#include "methods.h"`
`#include "SimulatedAnnealingParameters.h"`
Include dependency graph for methods.cpp:

## Macros

#define | PBSTR "||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||"
#define | PBWIDTH 60

## Functions

bool | freeze (double T, double t_fin, int compt, int max)
void | dynamicdisplay (std::vector< double > par)
void | printProgress (double percentage)

## Macro Definition Documentation

## PBSTR

#define PBSTR "||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||"

## PBWIDTH

#define PBWIDTH 60

## Function Documentation

## dynamicdisplay()

void dynamicdisplay | ( | std::vector< double > | par | ) |

## freeze()

bool freeze | ( | double | T,
|  | double | t_fin,
|  | int | compt,
|  | int | max
| ) |  |

## printProgress()

void printProgress | ( | double | percentage | ) |